Ogre::ResourceBackgroundQueue::ResourceResponse Struct Reference

Struct that holds details of queued notifications. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions

| ResourceResponse (ResourcePtr r, const ResourceRequest &req)

## Public Attributes

ResourcePtr | resource
ResourceRequest | request

## Friends

_OgreExport friend std::ostream & | operator<< (std::ostream &o, const ResourceResponse &r)

## Detailed Description

Struct that holds details of queued notifications.

Definition at line 144 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

Ogre::ResourceBackgroundQueue::ResourceResponse::ResourceResponse | ( | ResourcePtr | r,
|  | const ResourceRequest & | req
| ) |  |

Definition at line 146 of file OgreResourceBackgroundQueue.h.

## Friends And Related Function Documentation

_OgreExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const ResourceResponse & | r
| ) |  | `[friend]`

Definition at line 153 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

ResourceRequest Ogre::ResourceBackgroundQueue::ResourceResponse::request

Definition at line 151 of file OgreResourceBackgroundQueue.h.

ResourcePtr Ogre::ResourceBackgroundQueue::ResourceResponse::resource

Definition at line 150 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:36